<?xml version="1.0" encoding="UTF-8"?>
<web-app id="WebApp_9" version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
  
  <context-param>
    <param-name>contextConfigLocation</param-name>
    <param-value>classpath:applicationContext.xml,classpath:ediService/ediDubbo.xml,classpath:dynamicModule/modulelink.xml</param-value>
  </context-param>
  <listener>
    <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
  </listener>
  <listener>
    <listener-class>org.springframework.web.context.request.RequestContextListener</listener-class>
  </listener>
  <servlet>
    <servlet-name>appServlet</servlet-name>
    <servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
    <init-param>
      <param-name>contextConfigLocation</param-name>
      <param-value>classpath:applicationContext.xml,classpath:ediService/ediDubbo.xml</param-value>
    </init-param>
    <load-on-startup>1</load-on-startup>
  </servlet>
  <servlet-mapping>
    <servlet-name>appServlet</servlet-name>
    <url-pattern>/</url-pattern>
  </servlet-mapping>
  <!-- xxs过滤 -->
  <filter>
    <filter-name>XssSqlFilter</filter-name>
    <filter-class>com.wb.common.XssFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>XssSqlFilter</filter-name>
    <url-pattern>/*</url-pattern>
    <dispatcher>REQUEST</dispatcher>
  </filter-mapping>
  <filter>
    <filter-name>antiSqlInjection</filter-name>
    <filter-class>com.ag.secp.platform.filter.AntiSqlInjectionFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>antiSqlInjection</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
  <filter>
    <description>WebBuilder Filter</description>
    <display-name>Base</display-name>
    <filter-name>Base</filter-name>
    <filter-class>com.wb.common.Base</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>Base</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
  <display-name>Archetype Created Web Application</display-name>

</web-app>
